Use version B instead of A until we switch SDL 1.3 to SDL2
authorSam Lantinga <slouken@libsdl.org>
Sat, 07 Jan 2012 03:22:47 -0500
changeset 6172 062ce1e65f6e
parent 6171 7b9126fde949
child 6174 5f221b7a5952
Use version B instead of A until we switch SDL 1.3 to SDL2 C.W. Betts 2012-01-06 22:58:41 PST I would NOT use A. SDL 1.2 uses A, and if I understand correctly, SDL 1.3 and SDL 1.2 are not binary compatible. Having a different link path for 1.2 and 1.3 will solve any runtime linking errors that might occur. Sam Lantinga 2012-01-07 00:22:09 PST Good point. Until we switch SDL 1.3 to SDL2, we shouldn't use the same link path.
Xcode/SDL/SDL.xcodeproj/project.pbxproj
--- a/Xcode/SDL/SDL.xcodeproj/project.pbxproj	Sat Jan 07 02:32:08 2012 -0500
+++ b/Xcode/SDL/SDL.xcodeproj/project.pbxproj	Sat Jan 07 03:22:47 2012 -0500
@@ -2346,6 +2346,7 @@
 			buildSettings = {
 				DYLIB_COMPATIBILITY_VERSION = 1.3;
 				DYLIB_CURRENT_VERSION = 1.3.0;
+				FRAMEWORK_VERSION = B;
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"$(GCC_PREPROCESSOR_DEFINITIONS)",
 					"$(GCC_PREPROCESSOR_DEFINITIONS_QUOTED_1)",
@@ -2418,6 +2419,7 @@
 			buildSettings = {
 				DYLIB_COMPATIBILITY_VERSION = 1.3;
 				DYLIB_CURRENT_VERSION = 1.3.0;
+				FRAMEWORK_VERSION = B;
 				GCC_PREPROCESSOR_DEFINITIONS = (
 					"$(GCC_PREPROCESSOR_DEFINITIONS)",
 					"$(GCC_PREPROCESSOR_DEFINITIONS_QUOTED_1)",